OGRE-Next: Ogre::RenderSystemCapabilitiesManager Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Ogre::RenderSystemCapabilitiesManager Class Reference
Core » RenderSystem

Class for managing RenderSystemCapabilities database for Ogre. More...

`#include <OgreRenderSystemCapabilitiesManager.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesManager:
[legend]

## Public Member Functions
| RenderSystemCapabilitiesManager ()
| Default constructor.
virtual | ~RenderSystemCapabilitiesManager ()
| Default destructor.
void | _addRenderSystemCapabilities (const String &name, RenderSystemCapabilities *caps)
| Method used by RenderSystemCapabilitiesSerializer::parseScript.
const map< String, RenderSystemCapabilities * >::type & | getCapabilities () const
| Access to the internal map of loaded capabilities.
RenderSystemCapabilities * | loadParsedCapabilities (const String &name)
| Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.
void | parseCapabilitiesFromArchive (const String &filename, const String &archiveType, bool recursive=true)
Public Member Functions inherited from Ogre::Singleton< RenderSystemCapabilitiesManager >
| Singleton ()
| ~Singleton ()

## Static Public Member Functions
static RenderSystemCapabilitiesManager & | getSingleton ()
| Override standard Singleton retrieval.
static RenderSystemCapabilitiesManager * | getSingletonPtr ()
| Override standard Singleton retrieval.
Static Public Member Functions inherited from Ogre::Singleton< RenderSystemCapabilitiesManager >
static RenderSystemCapabilitiesManager & | getSingleton ()
static RenderSystemCapabilitiesManager * | getSingletonPtr ()

## Detailed Description

Class for managing RenderSystemCapabilities database for Ogre.

Remarks
  This class behaves similarly to other ResourceManager, although .rendercaps are not resources. It contains and abstract a .rendercaps Serializer

## Constructor & Destructor Documentation

## ◆ RenderSystemCapabilitiesManager()

Ogre::RenderSystemCapabilitiesManager::RenderSystemCapabilitiesManager | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~RenderSystemCapabilitiesManager()

virtual Ogre::RenderSystemCapabilitiesManager::~RenderSystemCapabilitiesManager | ( |  | ) |
| virtual

Default destructor.

## Member Function Documentation

## ◆ _addRenderSystemCapabilities()

void Ogre::RenderSystemCapabilitiesManager::_addRenderSystemCapabilities | ( | const String & | name,
|  | RenderSystemCapabilities * | caps )

Method used by RenderSystemCapabilitiesSerializer::parseScript.

## ◆ getCapabilities()

const map< String, RenderSystemCapabilities * >::type & Ogre::RenderSystemCapabilitiesManager::getCapabilities | ( |  | ) | const

Access to the internal map of loaded capabilities.

## ◆ getSingleton()

static RenderSystemCapabilitiesManager & Ogre::RenderSystemCapabilitiesManager::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References RenderSystemCapabilitiesManager().

## ◆ getSingletonPtr()

static RenderSystemCapabilitiesManager * Ogre::RenderSystemCapabilitiesManager::getSingletonPtr | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References RenderSystemCapabilitiesManager().

## ◆ loadParsedCapabilities()

RenderSystemCapabilities * Ogre::RenderSystemCapabilitiesManager::loadParsedCapabilities | ( | const String & | name | ) |

Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.

Returns
  NULL if the name is invalid, a parsed RenderSystemCapabilities otherwise.

## ◆ parseCapabilitiesFromArchive()

void Ogre::RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive | ( | const String & | filename,
|  | const String & | archiveType,
|  | bool | recursive = true )

See also
  ScriptLoader::parseScript

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesManager.h